### Method

# Vips Region equalsregion

#### Declaration [src]

    int
    vips_region_equalsregion (
      VipsRegion* reg1,
      VipsRegion* reg2
    )

#### Description [src]

Do two regions point to the same piece of image? ie.

    VIPS_REGION_ADDR(reg1, x, y) == VIPS_REGION_ADDR(reg2, x, y) &&
    *VIPS_REGION_ADDR(reg1, x, y) ==
        *VIPS_REGION_ADDR(reg2, x, y) for all x, y, reg1, reg2.

#### Parameters

`reg2`

  Type: `VipsRegion`

  Region to test.

  The data is owned by the caller of the method.

#### Return value

Type: `int`

Non-zero on equality.